<?
include_once "SYSTEM/include/functions.php";
include_once "SYSTEM/include/mysql.php";
include_once "SYSTEM/include/param.php";
include_once "SYSTEM/include/ban.php";
include_once "SYSTEM/include/sess.php";
include_once "SYSTEM/include/ban_2.php";
include_once "SYSTEM/include/theme.php";
$title='Регистрация';
$mesto='Регистрация';
head();

if (isset($user))
{
echo "Вы уже авторизованы<br />\n";
echo "<a href=\"index.php\">На главную</a><br />\n";
foot();
}


echo "<div class=\"h\">Регистрация</div>\n";
if (isset($_GET['err']))
{
$err=$_GET['err'];

echo "<span style=\"color:$color[msg]\"><b>";

if ($err=='log'){echo "Логин должен быть не менее 3-х символов";}
if ($err=='log2'){echo "Логин должен быть не более 12-ти символов";}
if ($err=='log3'){echo "Такой логин уже зарегистрирован";}
if ($err=='log4'){echo "Логин может состоять толико из русских или только из английских символов";}
if ($err=='log5'){echo "В логине присутствуют запрещенные символы";}
if ($err=='pass'){echo "Пароли не совпадают";}
if ($err=='pass2'){echo "Пароль должен быть не короче 5-ти символов";}
if ($err=='pass3'){echo "Максимальная длина пароля 24 символа";}
if ($err=='email'){echo "Неверный адрес E-mail";}
if ($err=='chislo'){echo "Необходимо ввести число с картинки";}
if ($err=='chislo2'){echo "Число с картинки введено неверно";}
echo "</b></span><br />";

}


if (isset($_POST['log']) && isset($_POST['pass']) && isset($_POST['pass2']) && isset($_POST['chislo']) && isset($_POST['email']) && isset($_POST['pol']) && $online['chislo']!='')
{
$log = trim(htmlspecialchars(mysql_escape_string($_POST['log'])));
$log = str_replace('$', '$$', $log);

$log = iconv('utf-8', 'windows-1251', $log);
if (strlen($log)<3){header("Location: reg.php?err=log");exit;}
if (strlen($log)>12){header("Location: reg.php?err=log2");exit;}
$log = iconv('windows-1251', 'utf-8', $log);



if (ereg("\ |=|\+|\{|\}|\(|\)|\^|\%|\\$|#|@|!|\~|'|\"|:|;|`|,|\.|\?|<|>",$log)){header("Location: reg.php?err=log5");exit;}
$eng= array ("q","w","e","r","t","y","u","i","o","p","a","s","d","f","g","h","j","k","l","z","x","c","v","b","n","m","Q","W","E","R","T","Y","U","I","O","P","A","S","D","F","G","H","J","K","L","Z","X","C","V","B","N","M");
$rus= array("Й","Ц","У","К","Е","Н","Г","Ш","Щ","З","Х","Ъ","Ф","Ы","В","А","П","Р","О","Л","Д","Ж","Э","Я","Ч","С","М","И","Т","Ь","Б","Ю","й","ц","у","к","е","н","г","ш","щ","з","х","ъ","ф","ы","в","а","п","р","о","л","д","ж","э","я","ч","с","м","и","т","ь","б","ю","ё","Ё");
for ($i=0; $i<count($rus);$i++)
{
if (ereg("$rus[$i]",$log))
{
$rusok=1;
}
}
for ($i=0; $i<count($eng);$i++)
{
if (ereg("$eng[$i]",$log))
{
$engok=1;
}
}
if (isset($rusok) && isset($engok)){header("Location: reg.php?err=log4");exit;}
$q=mysql_query("SELECT * FROM `$mysql[pref]users` WHERE `nickname` = '$log';");
if(mysql_num_rows($q) != 0){header("Location: reg.php?err=log3");exit;}

if ($_POST['pass']!=$_POST['pass2']){header("Location: reg.php?err=pass");exit;}
$pass = trim(htmlspecialchars(mysql_escape_string($_POST['pass'])));
$pass = str_replace('$', '$$', $pass);
$pass = iconv('utf-8', 'windows-1251', $pass);
if (strlen($pass)<5){header("Location: reg.php?err=pass2");exit;}
if (strlen($pass)>24){header("Location: reg.php?err=pass3");exit;}
$pass = iconv('windows-1251', 'utf-8', $pass);

$email = trim(htmlspecialchars(mysql_escape_string($_POST['email'])));
if (!ereg("@*.",$email)){header("Location: reg.php?err=email");exit;}
if ($_POST['chislo']==''){header("Location: reg.php?err=chislo");exit;}
if ($_POST['chislo']!=$online['chislo']){header("Location: reg.php?err=chislo2");exit;}



$pol=intval($_POST['pol']);
if ($pol!=0 && $pol!=1){$pol=1;}

$reg_time=time();
$reg_pass=md5($pass);
if (isset($_POST['ank']) && $_POST['ank']==1){$email2=$email;}
else {$email2='';}


mysql_query("INSERT INTO `$mysql[pref]users` (nickname, password, email, send_news, mail_ank, regtime, pol, time, sess, auttime, ip, ua, sequrity) values('$log', '$reg_pass', '$email', '1', '$email2', '$reg_time', '$pol', '$reg_time', '$sess', '$reg_time', '$ip', '$ua', '1')");


$subject = "Регистрация ($set[title])";
$regmail = "Привет ".$log."\r\nТеперь ты зарегистрированный пользователь сайта $set[title] , сохрани свой пароль и логин в надежном месте, он тебе еще пригодится.\r\nВаши новые данные для входа на на сайт\r\nЛогин: ".$log."\nПароль: ".$pass."\r\n\r\nНадеемся тебе понравится на нашем портале!\nС уважением администрация сайта yastreba.net  
© by jEk";
$adds = "From: <$set[mail]>\n";
$adds .= "X-sender: <$set[mail]>\n";
$adds .= "Content-Type: text/plain; charset=utf-8\n";
mail($email,$subject,$regmail,$adds);

echo'Вы удачно зарегестрированны!<br /> Ваш ник: '.$log.' <br />Ваш пароль:'.$pass.'<br />Теперь вы можете выполнить <br />';

echo "<a href=\"http://".$_SERVER['HTTP_HOST']."/vhod.php?id=$user2[id]&amp;pass=$pass\">АВТОРИЗАЦИЮ</a> рекомендуется заполнить анкету, это будет способствовать более полному общению с вами!<br />\n";
echo "<a href=\"index.php\">На главную</a><br />\n";
mysql_query("UPDATE `$mysql[pref]online` SET `chislo` = '' WHERE `sess` = '$sess';");
foot();
}
$chislo=rand(10000,99999);
mysql_query("UPDATE `$mysql[pref]online` SET `chislo` = '$chislo' WHERE `sess` = '$sess';");

echo "<div class=\"opis\">Логин должен состоять из 3-12 символов <b>только</b> русского или <b>только</b> английского алфавитов включая цифры<br />
Пароль должен быть от 5-ти до 24-х символов.</div>\n";
echo "<form method=\"post\" action=\"reg.php\">\n";
echo "Логин:<br /><input name=\"log\" class=\"form\" value=\"\" type=\"text\" /><br />\n";
echo "Пароль:<br /><input name=\"pass\" class=\"form\" value=\"\" type=\"password\" /><br />\n";
echo "Пароль (подтв.):<br /><input name=\"pass2\" class=\"form\" value=\"\" type=\"password\" /><br />\n";
echo "E-mail:(<input type=\"checkbox\" name=\"ank\" value=\"1\" />В анкету)<br /><input name=\"email\" class=\"form\" value=\"Ведите адрес @ ящика\" type=\"text\" /><br />\n";

echo "Пров. число:<br /><img src=\"SYSTEM/images/reg/index.php?".SID."\" width=\"100\" height=\"30\" alt=\"Число\"/><br /><input name=\"chislo\" class=\"form\" value=\"\" type=\"text\" /><br />\n";

echo "Пол: <select class=\"form\" name=\"pol\"><br />\n";
echo "<option value=\"1\">ПадонаҐґ</option>\n";
echo "<option value=\"0\">ДефФушка</option>\n";
echo "</select><br />\n";
$pravila=str_replace("\n","<br />",str_replace("\r","<br />",str_replace("\r\n","<br />",implode("",file("SYSTEM/data/pravila.txt")))));
echo "<div class=\"opis\">$pravila</div>\n";

echo "<br /><input value=\"Регистрация\" class=\"form\" type=\"submit\" />\n";
echo "</form>\n";

echo "<hr />";
echo "<a href=\"index.php\">На главную</a><br />\n";
foot();
?>
